﻿<?php
require('lib/config.php');
require('lib/functions.php');

session_start();
login_check($login,$port_syno,$secure);
if($login){ if(empty($_SESSION['user'])) die (include('login.php'));}


if($_GET['typeDocument'] == 'acteurs') 
  $typeDocument='acteurs';
else
if($_GET['typeDocument'] == 'series') 
  $typeDocument='series';
else
  $typeDocument='films';

$script   = $_SERVER['SCRIPT_NAME'];
$params   = $_SERVER['QUERY_STRING'];
$currentUrl = $script . '?' . $params;

$mysqli = new mysqli($serversql, $loginsql, $passwordsql, $database);  
  
if ($typeDocument=='films') {
  $titre="Liste des films";

  $requetesql="SELECT idmovie, c00 as titre, c07 as annee, c05 as note, url, dateAdded as ajout, REPLACE(c22, '".$originalFilePath."', '".$webFilePath."') as fileName from movieview, art where idmovie = media_id and media_type = 'movie' and type = 'poster' ".$requetetest;  
  if ($genre) { $requetesql=$requetesql." AND c14 like '%".$genre."%'"; $titre="Films dont le genre est ".$genre; }
  if ($tri) { $requetesql=$requetesql." ORDER BY ".$tri; $titre="Films triés par ".$tri; }
  if ($recherche) { 
    if ($rechercheEtendue) 
      $requetesql=$requetesql." AND ( c00 like '%".$recherche."%' OR c16 like '%".$recherche."%' OR c01 like '%".$recherche."%' OR c03 like '%".$recherche."%') ";   
    else
      $requetesql=$requetesql." AND ( c00 like '%".$recherche."%' OR c16 like '%".$recherche."%' ) "; 
    $titre="Recherche de ".$recherche; 
  }
  if ($dejavu)
    if ($dejavu == 'nonvus') {$requetesql=$requetesql." AND lastplayed is null"; $titre="Films pas encore vus";}
    else {$requetesql=$requetesql." AND lastplayed is not null"; $titre="Films déjà vus";}
  $result = $mysqli->query($requetesql);

  $nb_pages=ceil( $result->num_rows / $elementsparpage);
}

if ($typeDocument=='series') {
  $titre="Liste des séries";

  $requetesql="SELECT idShow, c00 as titre, c05 as annee, c04 as note, url, REPLACE(c16, '".$originalFilePath."', '".$webFilePath."') as filePath from tvshowview, art where idShow = media_id and media_type = 'tvshow' and type = 'poster' ".$requetetest;

  if ($recherche) { 
    if ($rechercheEtendue) 
      $requetesql=$requetesql." AND ( c00 like '%".$recherche."%' OR c16 like '%".$recherche."%' OR c01 like '%".$recherche."%' OR c03 like '%".$recherche."%') ";   
    else
      $requetesql=$requetesql." AND ( c00 like '%".$recherche."%' OR c16 like '%".$recherche."%' ) "; 
    $titre="Recherche de ".$recherche; 
  }
  if ($dejavu)
    if ($dejavu == 'nonvus') {$requetesql=$requetesql." AND lastplayed is null"; $titre="Films pas encore vus";}
    else {$requetesql=$requetesql." AND lastplayed is not null"; $titre="Films déjà vus";}
  $result = $mysqli->query($requetesql);

  $nb_pages=ceil( $result->num_rows / $elementsparpage);

}

if ($typeDocument=='acteurs') {
  $titre="Liste des acteurs";

  $requetesql="select idactor, strActor, url from actors, art where type='thumb' and media_type='actor' and actors.idactor = art.media_id ";
  if ($recherche) { 
    $requetesql=$requetesql." and ( strActor like '%".$recherche."%' ) "; 
    $titre="Recherche de ".$recherche; 
  }
  $requetesql=$requetesql." order by strActor".$requetetest;  
  $result = $mysqli->query($requetesql);
  
  $nb_pages=ceil( $result->num_rows / $elementsparpage);

}


$listegenres = $mysqli->query("SELECT idGenre, strGenre from genre order by strGenre");

$requeteNbFilms = $mysqli->query("SELECT count(*) as count from movieview");
$resultNbFilms = $requeteNbFilms->fetch_assoc();
$nbFilms = $resultNbFilms['count'];

$requeteNbSeries = $mysqli->query("SELECT count(*) as count from tvshowview");
$resultNbSeries = $requeteNbSeries->fetch_assoc();
$nbSeries = $resultNbSeries['count'];

$requeteNbActeurs = $mysqli->query("SELECT count(*) as count from actors");
$resultNbActeurs = $requeteNbActeurs->fetch_assoc();
$nbActeurs = $resultNbActeurs ['count'];

?>


<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>XBMC</title>
<link rel="stylesheet" href="css/default.css">
<link rel="stylesheet" href="css/nyroModal.css">
<link rel="stylesheet" type="text/css" href="css/jquery-ui-1.8.17.custom.css" />   

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>  
<script type="text/javascript" src="js/jquery-ui-git.js"></script>  
<script type="text/javascript" src="js/jquery.nyroModal.custom.min.js"></script>
<script type="text/javascript" src="js/jquery.tools.min.js"></script>
<script type="text/javascript" src="js/jquery.ui.popup.js"></script>
<script type="text/javascript" src="js/progressBar.js"></script>
</head>
<body>
<div id="indexing"></div>
<!-- HEADER -->
<header>

  <div class="header_right demo" style="margin-right:8px;padding-top:1px;">
  <a href="#param"><button id="parameters" value="Infos">Infos</button></a>
  <div class="ui-widget-content" id="param" aria-label="Login options" style="float:right;">
    <a href="index.php?action=logout">Logout</a> | <a href="http://localhost/adminer/">Administration</a>   <hr>
    <table border="0">
      <tr><td><a href="index.php">Films :</a></td><td><?php echo $nbFilms?></td></tr>
      <tr><td><a href="index.php?typeDocument=series">Series :</a></td><td><?php echo $nbSeries?></td></tr>
      <tr><td><a href="index.php?typeDocument=acteurs">Acteurs :</a></td><td><?php echo $nbActeurs?></td></tr>
    </table>
    <hr>
	  <form id="myform" action="">
		<button type="button" id="submit-button">Obtenir posters manquants</button>
	  </form>
	  <div id="progressbar" width="50%"></div>
	  <div id="message"></div>
  </div>
  </div>

<?php  
  if ($typeDocument=='films') {
  echo '
  <div class="header_left">
    <form method="GET" action="index.php">
      <select name="tri" onChange="this.form.submit()" style="margin-right:2px;margin-top:3px;">
        <option>Trier par…</option>
        <option value="titre">Titre</option>
        <option value="note DESC">Note</option>
        <option value="annee">Ann&eacute;e</option>
        <option value="ajout DESC">Date d\'ajout</option>
      </select>
    </form>
  </div>
      
  <div class="header_left">
    <form method="GET" action="index.php">
      <select onChange="this.form.submit()" name="genre" style="margin-right:2px;margin-top:3px;">
        <option>--Affichage par genre--</option>';
  
        while ($genre = $listegenres->fetch_assoc()) {
            $idGenre=htmlentities($genre['idGenre']);
            $strGenre=htmlentities($genre['strGenre']);
            echo '<option value="'.$strGenre.'">'.$strGenre.'</option>';
        }

  echo '
      </select>
    </form>  
  </div>
  <div class="header_left">
    <form method="GET" action="index.php">
      <select onChange="this.form.submit()" name="dejavu" style="margin-right:2px;margin-top:3px;">
        <option>--Affichage par vue--</option>
        <option value="vus">Films vus</option>
        <option value="nonvus">Films non vus</option>
      </select>
    </form>  
  </div>
  
  <div id="empty" class="header_left" style="margin-left:120px;padding-top:3px;">
  </div>';
  }
?>
    
  <div class="header_left" style="margin-right:5px;padding-top:1px;">
    <form method="GET" action="index.php" >
      <input type="hidden" name="typeDocument" value="<?php echo $typeDocument;?>" />
      <input type="text" name="recherche">
      <input type="checkbox" name="rechercheEtendue" value="OK">Recherche étendue
      <button value="Rechercher" id="search" onclick="this.form.submit()">Rechercher</button>
    </form>
  </div>    
      
      
</header>
<!-- /HEADER -->

<!-- NAVIGATION -->
<nav class="margin">
  <div >
    <?php echo $titre; ?> 
    <form method="GET" action="index.php" >
      <input type="hidden" name="typeDocument" value="<?php echo $typeDocument;?>" />
      <input type="hidden" name="recherche" value="<?php echo $recherche; ?>">
      <input type="hidden" name="rechercheEtendue" value="<?php echo $rechercheEtendue; ?>">
      <input type="hidden" name="tri" value="<?php echo $tri;?>" />
      <input type="hidden" name="genre" value="<?php echo $genre; ?>">
      <input type="hidden" name="dejavu" value="<?php echo $dejavu; ?>">      
      <select onChange="this.form.submit()" name="page" style="margin-right:2px;margin-top:3px;">
        <?php
          for ($i=1;$i<=$nb_pages;$i++) {
            if ($page==$i)
              echo '<option value="'.$i.'" selected="'.$page.'">Page  '.$i.'</option>';
            else
              echo '<option value="'.$i.'">Page  '.$i.'</option>';
          }
        ?>
      </select>
      </select>
    </form>  
  </div>
</nav>
<!-- /NAVIGATION -->

<!-- CONTENU -->
<div id="content">

<ul class="movielist">

<?php

if ($typeDocument=='films') {
  if ($elementsparpage>0)  {
    if ($page<=0) $page=1;
    $limiteMini=($page-1)*$elementsparpage+1;
    $limiteMaxi=($page)*$elementsparpage;
  }

  $indexfilm=0;
  while ($row = $result->fetch_assoc()) {
    $indexfilm=$indexfilm+1;
    
    if ($indexfilm>=$limiteMini && $indexfilm <=$limiteMaxi) {
      $titrefilm=htmlentities($row['titre']);  
      $anneefilm=htmlentities($row['annee']);
      $notefilm=htmlentities($row['note']);
      $fichierfilm=htmlentities($row['titre']);
      if ($embeddedPosters) 
        $posterfilm=$posterWebPath.hash('sha512' , $row['url']).'_mini.jpg';
      else
        $posterfilm=$row['url'];
      $idfilm=htmlentities($row['idMovie']);
      $fileName=htmlentities($row['fileName']); 
      
      $affichageNoteFilm='';
      for ($nbetoiles=1;$nbetoiles<=5;$nbetoiles++) {   
        if ( $notefilm - ($nbetoiles * 2) > -0.25 )
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_full.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
        else
        if ( $notefilm - ($nbetoiles-1) * 2 > 0.25  )
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_half.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
        else
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_empty.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
      }
      // Attention: pas de saut de ligne entre les tag </li> et <li>
      echo 
        '<li id="'.$indexfilm.'"><br>
          <a href="#null" rel="'.$idfilm.'" class="opener movielist">
            <img src="'.$posterfilm.'" alt="'.$titrefilm.'" height="200" class="poster">
          </a>
          <div class="tooltip"  style="margin-left:20px;">
            <table border="0">
              <tr>
                <td>
                  <a href="#null" rel="'.$idfilm.'" class="opener movielist">
                    <img src="images/info.png" alt="Info">
                  </a>
                </td>
                <td>
                  <a href="'.$fileName.'" class="movielist" title="'.$fichierfilm.'">
                    <img src="images/down.png">
                  </a>
                </td>
              </tr>
              <tr>
                <td>Infos</td>
                <td>Lien</td>
              </tr>
            </table>
          </div>
          <div class="title">
            <h5>
              <a href="'.$fileName.'" class="movielist" title="'.$fichierfilm.'">'.$titrefilm.'</a>
            </h5>
            <p>'.$anneefilm.'</p>
          </div>
          <div class="stars">'
          .$affichageNoteFilm.
          '</div>
        </li>';

    }
  }
}
if ($typeDocument=='series') {
  if ($elementsparpage>0)  {
    if ($page<=0) $page=1;
    $limiteMini=($page-1)*$elementsparpage+1;
    $limiteMaxi=($page)*$elementsparpage;
  }

  $indexfilm=0;
  while ($row = $result->fetch_assoc()) {
    $indexfilm=$indexfilm+1;
    
    if ($indexfilm>=$limiteMini && $indexfilm <=$limiteMaxi) {
      $titrefilm=htmlentities($row['titre']);  
      $anneefilm=htmlentities($row['annee']);
      $notefilm=htmlentities($row['note']);
      $fichierfilm=htmlentities($row['titre']);
      if ($embeddedPosters) 
        $posterfilm=$posterWebPath.hash('sha512' , $row['url']).'_mini.jpg';
      else
        $posterfilm=$row['url'];
      $idfilm=htmlentities($row['idShow']);
      $filePath=htmlentities($row['filePath']); 
      
      $affichageNoteFilm='';
      for ($nbetoiles=1;$nbetoiles<=5;$nbetoiles++) {   
        if ( $notefilm - ($nbetoiles * 2) > -0.25 )
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_full.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
        else
        if ( $notefilm - ($nbetoiles-1) * 2 > 0.25  )
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_half.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
        else
          $affichageNoteFilm=$affichageNoteFilm.'<img src="images/star_empty.png" title="'.$notefilm.'/10" alt="'.$notefilm.'/10">';
      }
      // Attention: pas de saut de ligne entre les tag </li> et <li>
      echo 
        '<li id="'.$indexfilm.'"><br>
          <a href="#null" rel="'.$idfilm.'" class="opener movielist">
            <img src="'.$posterfilm.'" alt="'.$titrefilm.'" height="200" class="poster">
          </a>
          <div class="tooltip"  style="margin-left:20px;">
            <table border="0">
              <tr>
                <td>
                  <a href="#null" rel="'.$idfilm.'" class="opener movielist">
                    <img src="images/info.png" alt="Info">
                  </a>
                </td>
                <td>
                  <a href="'.$filePath.'" class="movielist" title="'.$fichierfilm.'">
                    <img src="images/down.png">
                  </a>
                </td>
              </tr>
              <tr>
                <td>Infos</td>
                <td>Lien</td>
              </tr>
            </table>
          </div>
          <div class="title">
            <h5>
              <a href="'.$filePath.'" class="movielist" title="'.$fichierfilm.'">'.$titrefilm.'</a>
            </h5>
            <p>'.$anneefilm.'</p>
          </div>
          <div class="stars">'
          .$affichageNoteFilm.
          '</div>
        </li>';

    }
  }
}
if ($typeDocument=='acteurs') {
  if ($elementsparpage>0)  {
    if ($page<=0) $page=1;
    $limiteMini=($page-1)*$elementsparpage+1;
    $limiteMaxi=($page)*$elementsparpage;
  }

  $indexactor=0;
  while ($row = $result->fetch_assoc()) {
    $indexactor=$indexactor+1;
    
    if ($indexactor>=$limiteMini && $indexactor <=$limiteMaxi) { 
      $nomActeur=htmlentities($row['strActor']);
      if ($embeddedPosters) 
        $photoActeur=$posterWebPath.hash('sha512' , $row['url']).'_mini.jpg';
      else
        $photoActeur=$row['url']; 
      $idActeur=htmlentities($row['idactor']);
      
      // Attention: pas de saut de ligne entre les tag </li> et <li>
      echo 
        '<li id="'.$indexactor.'"><br>
          <a href="#null" rel="'.$idActeur.'" class="opener movielist">
            <img src="'.$photoActeur.'" alt="'.$nomActeur.'" height="200" class="poster">
          </a>
          <div class="tooltip"  style="margin-left:20px;">
            <table border="0">
              <tr>
                <td>
                  <a href="#null" rel="'.$idActeur.'" class="opener movielist">
                    <img src="images/info.png" alt="Info">
                  </a>
                </td>
              </tr>
              <tr>
                <td>Infos</td>
              </tr>
            </table>
          </div>
          <div class="title">
            <h5>
              <a href="#null" rel="'.$idActeur.'" class="opener movielist" title="'.$nomActeur.'">'.$nomActeur.'</a>
            </h5>
          </div>
        </li>';

    }
  }
}
?>

  
  
</ul>

  <div class="resume">
    <form method="GET" action="index.php" >
      <input type="hidden" name="typeDocument" value="<?php echo $typeDocument;?>" />
      <input type="hidden" name="recherche" value="<?php echo $recherche; ?>">
      <input type="hidden" name="rechercheEtendue" value="<?php echo $rechercheEtendue; ?>">
      <input type="hidden" name="tri" value="<?php echo $tri;?>" />
      <input type="hidden" name="genre" value="<?php echo $genre; ?>">
      <input type="hidden" name="dejavu" value="<?php echo $dejavu; ?>">  
      <select onChange="this.form.submit()" name="page" style="margin-right:2px;margin-top:3px;">
        <?php
          for ($i=1;$i<=$nb_pages;$i++) {
            if ($page==$i)
              echo '<option value="'.$i.'" selected="'.$page.'">Page  '.$i.'</option>';
            else
              echo '<option value="'.$i.'">Page  '.$i.'</option>';
          }
        ?>
      </select>
      </select>
    </form>  
    Total : <?php echo $result->num_rows?> fichier(s)
  </div>
</div>

<!-- FOOTER -->
<footer>

</footer>
<!-- /FOOTER -->
<script type="text/javascript">
$(document).ready(function(){
  $('button').button();
  $('#loading').hide().ajaxStart(function() {
    $(this).show();
    }).ajaxStop(function() {
        $(this).hide();
    });
  $('.nyroModal').nyroModal();
  $.nmObj({sizes: { minW: 300, minH: 400 }});
  /***
  HEADER
  ***/
  $('#search').button({
  icons: {
                primary: "ui-icon-search"
            },
            text:false
            });
    $('#parameters').button({
  icons: {
                primary: "ui-icon-info",
                secondary: "ui-icon-triangle-1-s"
            },
            text:false
            });   
  
  $('#param').hide();
  $('#parameters').click(function(){
  if($('#param').is(':hidden')){
  $('#param').slideDown();
  }
  else {
  $('#param').slideUp();
  }
  });
     
            
  /***
  CONTENT
  ***/
  $('.poster').tooltip({ 
    effect: 'slide', 
    predelay:1100, 
    delay:600,
    opacity:1,
    offset:[15, 0]
    });

  $('#content ul li img.poster').hover(function(){
  $(this).addClass('gallerie_onMouse');
  },
  function(){
  $(this).removeClass('gallerie_onMouse');
  });  
  
  $('#content p.folder').hover(function(){
  $(this).addClass('folderHover');
  },
  function(){
  $(this).removeClass('folderHover');
  });
  
  $('a.opener').click(function(){
      
      var link = $(this).attr('rel');
      var screenheight = (screen.height-200);
      $.ajax({
          type: "GET",
<?php if($_GET['typeDocument'] == 'acteurs') 
  echo 'url: "acteur.php",';
else
if($_GET['typeDocument'] == 'series') 
  echo 'url: "serie.php",';
else
  echo 'url: "video.php",';
?>
           data: "link="+link,
           error:function(msg){
             alert( "Error !: " + msg );
           },
           success:function(data){
             //affiche le contenu du fichier dans le conteneur d&eacute;di&eacute;
          $('<div id="dialog"></div>').html(data).dialog({
          title: 'Fiche détaillée',
          modal:true,
          maxHeight: screenheight,
          width : 940,
          draggable:true,
          resizable:false
          });
        }
      });
      
      });
        

    
});
</script>



</body>
</html>