<?php 

  require('lib/simpleImage.php'); 
  require('lib/config.php');

// Test si le fichier de lock existe: si c'est le cas, la tâche est déjà en cours, donc on ne relance pas  
if (!(file_exists('lock/status1.lock'))) {
//TODO: tester la date de création du lock
	// Création du fichier de lock 
//TODO: utiliser méthode touch($filename)
	$filename = 'lock/status1.lock';
	$fp = fopen($filename, "w");
	fwrite($fp, 'lock');
	fclose($fp);


	// On crée le fichier de status avec 0%, pour indiquer le démarrage
	$filename = 'lock/status1.json';
	$fp = fopen($filename, "w");
	$arr = array('total'=>'100', 'current'=>'0');
	fwrite($fp, json_encode($arr));
	fclose($fp);

	// Suppression des fichiers indiquant l'avancement de la tâche (on repart à zéro)
	unlink ('lock/status1.json');
	unlink ('lock/status.json');

	// Recherche de la liste de tous les posters en base => $listePostersDB[]
	$mysqli = new mysqli($serversql, $loginsql, $passwordsql, $database);  
	$requetesql="SELECT url from art";  
	$listePostersDB = $mysqli->query($requetesql);

	// Recherche de la liste de tous les posters déjà récupérés (sur le disque) => $listePostersFS[]
	if ($repertoire = opendir($posterPath)) {
		while (false !== ($fichier = readdir($repertoire))) {
			$listePostersFS[$fichier]=1;
		}
    }
	closedir($repertoire);
	
	// Recherche des posters de la base manquant sur le disque ($listePostersDB vs $listePostersFS)
	// => $listePostersManquants[], $added contient le nombre d'éléments ajoutés
	$added=0;
	while ($row = $listePostersDB->fetch_assoc()) {
		$current=$current+1;
		$inputFileName=$row['url'];
		$outputFileName=hash('sha512' , $inputFileName );

		$outputMaxiPoster=$outputFileName.'_maxi.jpg';
		$outputMiniPoster=$outputFileName.'_mini.jpg';

		if (!($listePostersFS[$outputMaxiPoster] && $listePostersFS[$outputMiniPoster])) {
			$listePostersATelecharger[$added]['url']=$inputFileName;			
			$listePostersATelecharger[$added]['maxi']=$outputMaxiPoster;
			$listePostersATelecharger[$added]['mini']=$outputMiniPoster;
			$added=$added+1;			
		}
		
	}

	$added=$added-1;
	$arr['total'] = "$added";
	for ($compteur=0;$compteur<=$added;$compteur++) {
		$imageUrl=$listePostersATelecharger[$compteur]['url'];
		$maxiposter=$listePostersATelecharger[$compteur]['maxi'];
		$miniposter=$listePostersATelecharger[$compteur]['mini'];		
	
		$image = new SimpleImage(); 
		$image->load($imageUrl); 

		$image->resizeToWidth(300);   
		$image->save($posterPath.$maxiposter);
		$image->resizeToWidth(150); 
		$image->save($posterPath.$miniposter); 

		$arr['current'] = "$compteur";
		$fp = fopen($filename, "w");
		fwrite($fp, utf8_encode(json_encode($arr)));
		fclose($fp);
		//for safety we will make a copy and let client access the copy.    
		copy('lock/status1.json', 'lock/status.json');
	}

  unlink ('lock/status1.lock');
}
?>