<?php
require_once('lib/functions.php');
require_once('lib/config.php');

$mysqli = new mysqli($serversql, $loginsql, $passwordsql, $database);
$link=addslashes(urldecode($_GET['link']));

$requeteActeur="select idactor, strActor, url from actors, art where type='thumb' and media_type='actor' and actors.idactor = art.media_id and actors.idactor = ".$link;
$resultActeur= $mysqli->query($requeteActeur);
$acteur = $resultActeur->fetch_assoc();
$nomActeur=$acteur['strActor'];
$idActeur=$acteur['idActor'];
if ($embeddedPosters) 
    $photoActeur=$posterWebPath.hash('sha512' , $acteur['url']).'_maxi.jpg';
else
    $photoActeur=$acteur['url'];


$requeteFilms="select  movieview.idmovie, c00 as titre, c16 as original_name, strRole, c07 as annee from movieview, actorlinkmovie where movieview.idmovie = actorlinkmovie.idmovie and idactor = ".$link."  order by c07 desc ";
$resultFilms = $mysqli->query($requeteFilms);
  
$requeteSeries="select  tvshowview.idshow, c00 as titre, strRole, c05 as annee from tvshowview, actorlinktvshow where tvshowview.idshow = actorlinktvshow.idshow and idactor = ".$link."  order by c05 desc ";
$resultSeries = $mysqli->query($requeteSeries);

echo '<nav><div>';
echo '<h1>'.htmlentities($nomActeur);
echo '</h1></div></nav>';
echo '<div id="content">';
?>

<table style="border:0px;">
  <tr><td rowspan="11" style="vertical-align:top;"><?php if (!empty($photoActeur)) { resize($photoActeur);} else echo 'Image indisponible';?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo "Liste des films";?>:</b></td><td></td></tr>
  <?php
    while ($film = $resultFilms->fetch_assoc()) {
      $filmTitre=$film['titre'];
      $filmOriginal=$film['original_name'];
      $filmAnnee=$film['annee'];
      $filmRole=$film['strRole'];

      echo '<tr><td style="vertical-align:top;"><b></b></td><td>';
      echo htmlentities($filmTitre);
      if ($filmTitre!=$filmOriginal) 
        echo ' ('.htmlentities($filmOriginal).')';
      echo ' - '.htmlentities($filmAnnee).' : ';  
      echo htmlentities($filmRole);
      echo '</td></tr>';
    }
  ?> 
  <tr></tr>
  <tr></tr>  
  <tr><td style="vertical-align:top;"><b><?php echo "Liste des séries";?>:</b></td><td></td></tr>

  <?php
    while ($serie= $resultSeries->fetch_assoc()) {
      $serieTitre=$serie['titre'];
      $serieAnnee=$serie['annee'];
      $serieRole=$serie['strRole'];

      echo '<tr><td style="vertical-align:top;"><b></b></td><td>';
      echo htmlentities($serieTitre);
      echo ' - '.htmlentities($serieAnnee).' : ';  
      echo htmlentities($serieRole);
      echo '</td></tr>';
    }
  ?>  
  
</table>

</div>