<?php
require_once('lib/functions.php');
require_once('lib/config.php');

$mysqli = new mysqli($serversql, $loginsql, $passwordsql, $database);
$link=addslashes(urldecode($_GET['link']));

$requetesql="SELECT idmovie, c00 as titre, c16 as original_name, c01 as resume, c07 as annee, c05 as note, c04 as votes, c21 as countries, c14 as genres, c15 as directors, c19 as trailer, url from movieview, art where idmovie = media_id and media_type = 'movie' and type = 'poster' and idmovie = ".$link." ";
$result = $mysqli->query($requetesql);
$infos = $result->fetch_assoc();

$requeteActeurs="select actors.idActor, strActor, strRole  from actors, actorlinkmovie where actors.idactor = actorlinkmovie.idactor and idmovie = ".$link." order by iOrder desc";
$resultActeurs = $mysqli->query($requeteActeurs);
$listeActeurs="";
while ($acteur = $resultActeurs->fetch_assoc()) {
  $listeActeurs=$acteur['strActor'].' ('.$acteur['strRole'].'), '.$listeActeurs;
}

if ($embeddedPosters) 
    $poster=$posterWebPath.hash('sha512' , $infos['url']).'_maxi.jpg';
else
    $poster=$infos['url'];
  
echo '<nav><div>';
echo '<h1>'.htmlentities($infos['titre']);
if ($infos['titre']!=$infos['original_name']) echo ' ('.htmlentities($infos['original_name']).')';
echo '</h1></div></nav>';
echo '<div id="content">';
?>

<table style="border:0px;">
  <tr><td rowspan="11" style="vertical-align:top;"><?php if (!empty($poster)) { resize($poster);} else echo 'Image indisponible';?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Année;?>:</b></td><td><?php echo $infos['annee'];?></td></tr>

  <tr><td style="vertical-align:top;"><b><?php echo Note;?>:</b></td><td><?php echo round($infos['note'],1);?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Votes;?>:</b></td><td><?php echo $infos['votes'];?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Pays;?>:</b></td><td><?php echo $infos['countries'];?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Genres;?>:</b></td><td><?php echo htmlentities($infos['genres']);?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Réalisateur;?>:</b></td><td><?php echo htmlentities($infos['directors']);?></td></tr>
<tr><td style="vertical-align:top;"><b><?php echo Acteurs;?>:</b></td><td><?php echo htmlentities($listeActeurs);?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Résumé;?>:</b></td><td><?php echo htmlentities($infos['resume']);?></td></tr>
  <tr><td style="vertical-align:top;"><b><?php echo Trailer;?>:</b></td><td><?php
      $codeyoutube = explode('v=',$infos['trailer']);
      $codeyoutube = $codeyoutube[1];
      if(strlen($codeyoutube) != 11) {
      $codeyoutube = explode('&',$codeyoutube);
      $codeyoutube = $codeyoutube[0];
      }
      echo '<iframe width="420" height="315" style="margin-left:auto;margin-right:auto;" src="http://www.youtube.com/embed/'.$codeyoutube.'" frameborder="0" allowfullscreen></iframe>';
    
  ?></td></tr>
</table>

</div>
